Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dics.session.impl
Class DicsSessionServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.dics.session.impl.DicsSessionServiceImpl

All Implemented Interfaces:
  DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class DicsSessionServiceImpl

extends Object
implements DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `DicsSessionService`

Constructor Summary
`DicsSessionServiceImpl()` default constructor, needed for ModuleBootstrapHook
`DicsSessionServiceImpl(SessionValidator sessionValidator)`

Method Summary
`void` | `bootstrap()`
`FindCNKResponse` | `findCNK(FindCNKRequest request)`
`FindParagraphResponse` | `findParagraph(FindParagraphRequest request)`
`FindParagraphTextResponse` | `findParagraphText(FindParagraphTextRequest request)`
`FindReimbursementConditionsResponse` | `findReimbursementConditions(FindReimbursementConditionsRequest request)`
`GetAddedDocumentsResponse` | `getAddedDocuments(GetAddedDocumentsRequest request)`
`GetParagraphExclusionsResponse` | `getParagraphExclusions(GetParagraphExclusionsRequest request)`
`GetParagraphIncludedSpecialtiesResponse` | `getParagraphIncludedSpecialities(GetParagraphIncludedSpecialtiesRequest request)`
`GetProfessionalAuthorizationsResponse` | `getProfessionalAuthorizations(GetProfessionalAuthorizationsRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DicsSessionServiceImpl

    public DicsSessionServiceImpl(SessionValidator sessionValidator)
                           throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

### DicsSessionServiceImpl

    public DicsSessionServiceImpl()

  default constructor, needed for ModuleBootstrapHook

Method Detail

### findParagraphText

    public FindParagraphTextResponse findParagraphText(FindParagraphTextRequest request)
                                                throws TechnicalConnectorException

  Specified by:
    `findParagraphText` in interface `DicsSessionService`
  Returns:
    FindParagraphTextResponse
  Throws:
    `TechnicalConnectorException`

### getParagraphExclusions

    public GetParagraphExclusionsResponse getParagraphExclusions(GetParagraphExclusionsRequest request)
                                                          throws TechnicalConnectorException

  Specified by:
    `getParagraphExclusions` in interface `DicsSessionService`
  Returns:
    GetParagraphExclusionsResponse
  Throws:
    `TechnicalConnectorException`

### getParagraphIncludedSpecialities

    public GetParagraphIncludedSpecialtiesResponse getParagraphIncludedSpecialities(GetParagraphIncludedSpecialtiesRequest request)
                                                                             throws TechnicalConnectorException

  Specified by:
    `getParagraphIncludedSpecialities` in interface `DicsSessionService`
  Returns:
    GetParagraphIncludedSpecialtiesResponse
  Throws:
    `TechnicalConnectorException`

### getProfessionalAuthorizations

    public GetProfessionalAuthorizationsResponse getProfessionalAuthorizations(GetProfessionalAuthorizationsRequest request)
                                                                        throws TechnicalConnectorException

  Specified by:
    `getProfessionalAuthorizations` in interface `DicsSessionService`
  Returns:
    GetProfessionalAuthorizationsResponse
  Throws:
    `TechnicalConnectorException`

### getAddedDocuments

    public GetAddedDocumentsResponse getAddedDocuments(GetAddedDocumentsRequest request)
                                                throws TechnicalConnectorException

  Specified by:
    `getAddedDocuments` in interface `DicsSessionService`
  Returns:
    GetAddedDocumentsResponse
  Throws:
    `TechnicalConnectorException`

### findReimbursementConditions

    public FindReimbursementConditionsResponse findReimbursementConditions(FindReimbursementConditionsRequest request)
                                                                    throws TechnicalConnectorException

  Specified by:
    `findReimbursementConditions` in interface `DicsSessionService`
  Returns:
    FindReimbursementConditionsResponse
  Throws:
    `TechnicalConnectorException`

### findParagraph

    public FindParagraphResponse findParagraph(FindParagraphRequest request)
                                        throws TechnicalConnectorException

  Specified by:
    `findParagraph` in interface `DicsSessionService`
  Returns:
    FindParagraphResponse
  Throws:
    `TechnicalConnectorException`

### findCNK

    public FindCNKResponse findCNK(FindCNKRequest request)
                            throws TechnicalConnectorException

  Specified by:
    `findCNK` in interface `DicsSessionService`
  Returns:
    FindCNKResponse
  Throws:
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.